dev-libs / kweathercore

Library for retrieval of weather information including forecasts and alerts

Official package sites : https://kde.org/ ·

v0.8.0 :: 6 :: gentoo (Masked by set 6968)

Modified
License
LGPL-2+
Keywords
~amd64 ~arm64
USE flags
debug doc test

v0.7 :: 5 :: gentoo

Modified
License
LGPL-2+
Keywords
amd64 arm64 x86 ~loong ~ppc64
USE flags
debug doc test

General

debug
Enable extra debug codepaths, like asserts and extra output. If you want to get meaningful backtraces see https://wiki.gentoo.org/wiki/Project:Quality_Assurance/Backtraces
doc
Add extra documentation (API, Javadoc, etc). It is recommended to enable per package instead of globally
test
Enable dependencies and/or preparations necessary to run tests (usually controlled by FEATURES=test but can be toggled independently)

dev-qt / qt-docs : Qt6 documentation and examples for Qt Creator and other tools

dev-qt / qtbase : Cross-platform application development framework

dev-qt / qtcore : Cross-platform application development framework

dev-qt / qtnetwork : Network abstraction library for the Qt5 framework

dev-qt / qtpositioning : Physical position determination library for the Qt6 framework

dev-qt / qttest : Unit testing library for the Qt5 framework

kde-frameworks / kholidays : Library to determine holidays and other special events for a geographical region

kde-frameworks / ki18n : Framework based on Gettext for internationalizing user interface text

dev-qt / qt-docs : Qt6 documentation and examples for Qt Creator and other tools

dev-qt / qtbase : Cross-platform application development framework

dev-qt / qtcore : Cross-platform application development framework

dev-qt / qtnetwork : Network abstraction library for the Qt5 framework

dev-qt / qtpositioning : Physical position determination library for the Qt6 framework

kde-frameworks / kf-env : Environment setting required for all KDE Frameworks apps to run

kde-frameworks / kholidays : Library to determine holidays and other special events for a geographical region

kde-frameworks / ki18n : Framework based on Gettext for internationalizing user interface text

kde-misc / kweather : Weather forecast application for Plasma with flat and dynamic/animated views

894340
dev-libs/kweathercore-0.7 - /.../pendingcap.cpp: error: invalid use of incomplete type class QDebug
906392
dev-libs/kweathercore-0.7 fails tests (MUSL-SYSTEM): 2 - metnoparsertest (Failed)

6968
Andreas Sturmlechner
KDE Plasma 6 RC2 (5.93) and Frameworks 6 RC2 (5.249) mask *** PRE-RELEASE *** NO BUGS WILL BE FIXED *** OVERLAY PRs WELCOME *** To install alongside KDE Frameworks 5: - put '-kf6compat' into /etc/portage/profile/use.mask - enable USE=kf6compat globally - if you have the following packages installed, put the following into /etc/portage/package.use in order to avoid conflicts: dev-util/kdevelop:5 -gdbui -plasma kde-apps/kget:5 -kde kde-apps/krfb:5 -wayland net-p2p/ktorrent:5 -shutdown If you encounter ... - build-time/packaging bugs: - check kde overlay KF6 live ebuild first, it may have been addressed - file a bug after making sure none exists yet for your issue - runtime bugs: https://community.kde.org/Plasma/Plasma_6#How_to_use/test_it - work with upstream and help test patches using /etc/portage/patches
  • =kde-apps/kio-extras-23.08.5-r100
  • =kde-plasma/print-manager-23.08.5-r100
  • =net-libs/signond-8.61-r100
  • =net-misc/smb4k-3.2.5-r2
  • >=sys-libs/snapd-glib-1.64-r100
  • ~dev-libs/appstream-1.0.1
  • ~dev-libs/kdiagram-3.0.1
  • ~dev-libs/kirigami-addons-1.0.0
  • ~dev-libs/ktextaddons-1.5.3
  • ~dev-libs/kweathercore-0.8.0
  • ~gui-apps/xwaylandvideobridge-0.4.0
  • ~kde-apps/kaccounts-integration-24.01.95
  • ~kde-apps/kdegraphics-mobipocket-24.01.95
  • ~kde-apps/kio-extras-24.01.95
  • ~kde-apps/kio-extras-kf5-24.01.95
  • ~kde-apps/libkcddb-24.01.95
  • ~kde-apps/libkcompactdisc-24.01.95
  • ~kde-apps/libkexiv2-24.01.95
  • ~kde-apps/spectacle-24.01.95
  • ~kde-frameworks/attica-5.249.0
  • ~kde-frameworks/baloo-5.249.0
  • ~kde-frameworks/bluez-qt-5.249.0
  • ~kde-frameworks/breeze-icons-5.249.0
  • ~kde-frameworks/extra-cmake-modules-5.249.0
  • ~kde-frameworks/frameworkintegration-5.249.0
  • ~kde-frameworks/karchive-5.249.0
  • ~kde-frameworks/kauth-5.249.0
  • ~kde-frameworks/kbookmarks-5.249.0
  • ~kde-frameworks/kcalendarcore-5.249.0
  • ~kde-frameworks/kcmutils-5.249.0
  • ~kde-frameworks/kcodecs-5.249.0
  • ~kde-frameworks/kcolorscheme-5.249.0
  • ~kde-frameworks/kcompletion-5.249.0
  • ~kde-frameworks/kconfig-5.249.0
  • ~kde-frameworks/kconfigwidgets-5.249.0
  • ~kde-frameworks/kcontacts-5.249.0
  • ~kde-frameworks/kcoreaddons-5.249.0
  • ~kde-frameworks/kcrash-5.249.0
  • ~kde-frameworks/kdav-5.249.0
  • ~kde-frameworks/kdbusaddons-5.249.0
  • ~kde-frameworks/kdeclarative-5.249.0
  • ~kde-frameworks/kded-5.249.0
  • ~kde-frameworks/kdesu-5.249.0
  • ~kde-frameworks/kdnssd-5.249.0
  • ~kde-frameworks/kdoctools-5.249.0
  • ~kde-frameworks/kfilemetadata-5.249.0
  • ~kde-frameworks/kglobalaccel-5.249.0
  • ~kde-frameworks/kguiaddons-5.249.0
  • ~kde-frameworks/kholidays-5.249.0
  • ~kde-frameworks/ki18n-5.249.0
  • ~kde-frameworks/kiconthemes-5.249.0
  • ~kde-frameworks/kidletime-5.249.0
  • ~kde-frameworks/kimageformats-5.249.0
  • ~kde-frameworks/kio-5.249.0
  • ~kde-frameworks/kirigami-5.249.0
  • ~kde-frameworks/kitemmodels-5.249.0
  • ~kde-frameworks/kitemviews-5.249.0
  • ~kde-frameworks/kjobwidgets-5.249.0
  • ~kde-frameworks/knewstuff-5.249.0
  • ~kde-frameworks/knotifications-5.249.0
  • ~kde-frameworks/knotifyconfig-5.249.0
  • ~kde-frameworks/kpackage-5.249.0
  • ~kde-frameworks/kparts-5.249.0
  • ~kde-frameworks/kpeople-5.249.0
  • ~kde-frameworks/kplotting-5.249.0
  • ~kde-frameworks/kpty-5.249.0
  • ~kde-frameworks/kquickcharts-5.249.0
  • ~kde-frameworks/krunner-5.249.0
  • ~kde-frameworks/kservice-5.249.0
  • ~kde-frameworks/kstatusnotifieritem-5.249.0
  • ~kde-frameworks/ksvg-5.249.0
  • ~kde-frameworks/ktexteditor-5.249.0
  • ~kde-frameworks/ktexttemplate-5.249.0
  • ~kde-frameworks/ktextwidgets-5.249.0
  • ~kde-frameworks/kunitconversion-5.249.0
  • ~kde-frameworks/kuserfeedback-5.249.0
  • ~kde-frameworks/kwallet-5.249.0
  • ~kde-frameworks/kwidgetsaddons-5.249.0
  • ~kde-frameworks/kwindowsystem-5.249.0
  • ~kde-frameworks/kxmlgui-5.249.0
  • ~kde-frameworks/modemmanager-qt-5.249.0
  • ~kde-frameworks/networkmanager-qt-5.249.0
  • ~kde-frameworks/prison-5.249.0
  • ~kde-frameworks/purpose-5.249.0
  • ~kde-frameworks/qqc2-desktop-style-5.249.0
  • ~kde-frameworks/solid-5.249.0
  • ~kde-frameworks/sonnet-5.249.0
  • ~kde-frameworks/syndication-5.249.0
  • ~kde-frameworks/syntax-highlighting-5.249.0
  • ~kde-frameworks/threadweaver-5.249.0
  • ~kde-misc/kio-fuse-5.1.0
  • ~kde-misc/plasma-pass-1.2.2
  • ~kde-plasma/bluedevil-5.93.0
  • ~kde-plasma/breeze-5.93.0
  • ~kde-plasma/breeze-grub-5.93.0
  • ~kde-plasma/breeze-gtk-5.93.0
  • ~kde-plasma/breeze-plymouth-5.93.0
  • ~kde-plasma/discover-5.93.0
  • ~kde-plasma/drkonqi-5.93.0
  • ~kde-plasma/flatpak-kcm-5.93.0
  • ~kde-plasma/kactivitymanagerd-5.93.0
  • ~kde-plasma/kde-cli-tools-5.93.0
  • ~kde-plasma/kde-gtk-config-5.93.0
  • ~kde-plasma/kdecoration-5.93.0
  • ~kde-plasma/kdeplasma-addons-5.93.0
  • ~kde-plasma/kgamma-5.93.0
  • ~kde-plasma/kglobalacceld-5.93.0
  • ~kde-plasma/kinfocenter-5.93.0
  • ~kde-plasma/kmenuedit-5.93.0
  • ~kde-plasma/kpipewire-5.93.2
  • ~kde-plasma/kscreen-5.93.0
  • ~kde-plasma/kscreenlocker-5.93.0
  • ~kde-plasma/ksshaskpass-5.93.0
  • ~kde-plasma/ksystemstats-5.93.0
  • ~kde-plasma/kwallet-pam-5.93.0
  • ~kde-plasma/kwayland-5.93.0
  • ~kde-plasma/kwayland-integration-5.93.0
  • ~kde-plasma/kwin-5.93.0
  • ~kde-plasma/kwrited-5.93.0
  • ~kde-plasma/layer-shell-qt-5.93.0
  • ~kde-plasma/libkscreen-5.93.0
  • ~kde-plasma/libksysguard-5.93.0
  • ~kde-plasma/libplasma-5.93.0
  • ~kde-plasma/milou-5.93.0
  • ~kde-plasma/ocean-sound-theme-5.93.0
  • ~kde-plasma/oxygen-5.93.0
  • ~kde-plasma/oxygen-sounds-5.93.0
  • ~kde-plasma/plasma-activities-5.93.0
  • ~kde-plasma/plasma-activities-stats-5.93.0
  • ~kde-plasma/plasma-browser-integration-5.93.0
  • ~kde-plasma/plasma-desktop-5.93.0
  • ~kde-plasma/plasma-disks-5.93.0
  • ~kde-plasma/plasma-firewall-5.93.0
  • ~kde-plasma/plasma-integration-5.93.0
  • ~kde-plasma/plasma-meta-5.93.0
  • ~kde-plasma/plasma-nm-5.93.0
  • ~kde-plasma/plasma-pa-5.93.0
  • ~kde-plasma/plasma-sdk-5.93.0
  • ~kde-plasma/plasma-systemmonitor-5.93.0
  • ~kde-plasma/plasma-thunderbolt-5.93.0
  • ~kde-plasma/plasma-vault-5.93.0
  • ~kde-plasma/plasma-welcome-5.93.0
  • ~kde-plasma/plasma-workspace-5.93.0
  • ~kde-plasma/plasma-workspace-wallpapers-5.93.0
  • ~kde-plasma/plasma5support-5.93.0
  • ~kde-plasma/plymouth-kcm-5.93.0
  • ~kde-plasma/polkit-kde-agent-5.93.0
  • ~kde-plasma/powerdevil-5.93.0
  • ~kde-plasma/print-manager-5.93.0
  • ~kde-plasma/sddm-kcm-5.93.0
  • ~kde-plasma/systemsettings-5.93.0
  • ~kde-plasma/wacomtablet-5.93.0
  • ~kde-plasma/xdg-desktop-portal-kde-5.93.0
  • ~media-libs/libqaccessibilityclient-0.6.0
  • ~media-libs/phonon-4.12.0
  • ~media-libs/phonon-vlc-0.12.0
  • ~media-libs/pulseaudio-qt-1.4.0
  • ~net-libs/accounts-qml-0.7_p20231028
  • ~net-libs/accounts-qt-1.16_p20220803
  • ~net-libs/kdsoap-2.2.0
  • ~net-libs/kdsoap-ws-discovery-client-0.4.0
  • ~net-libs/signon-oauth2-0.25_p20210102
  • ~net-libs/signon-ui-0.15_p20231016
  • ~net-misc/kio-zeroconf-24.01.95
  • ~sys-auth/polkit-qt-0.200.0
Repository mirror & CI · gentoo
Merge updates from master
Sam James · gentoo
dev-libs/kweathercore: Bump QTMIN to 6.6.2
There was an ABI break which means 6.6.2->6.6.1 can't be done but we want people using latest anyway as there's a lot of churn still. Signed-off-by: Sam James <sam@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Andreas Sturmlechner · gentoo
dev-libs/kweathercore: add 0.8.0
Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Arthur Zamarin · gentoo
dev-libs/kweathercore: Stabilize 0.7 x86, #909314
Signed-off-by: Arthur Zamarin <arthurzam@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Arthur Zamarin · gentoo
dev-libs/kweathercore: Stabilize 0.7 amd64, #909314
Signed-off-by: Arthur Zamarin <arthurzam@gentoo.org>
Arthur Zamarin · gentoo
dev-libs/kweathercore: Stabilize 0.7 arm64, #909314
Signed-off-by: Arthur Zamarin <arthurzam@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
WANG Xuerui · gentoo
dev-libs/kweathercore: keyword 0.7 for ~loong
Signed-off-by: WANG Xuerui <xen0n@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Arthur Zamarin · gentoo
dev-libs/kweathercore: Keyword 0.7 x86, #905080
Signed-off-by: Arthur Zamarin <arthurzam@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Sam James · gentoo
dev-libs/kweathercore: Keyword 0.7 ppc64, #905080
Signed-off-by: Sam James <sam@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Andreas Sturmlechner · gentoo
dev-libs/kweathercore: drop 0.6
Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Andreas Sturmlechner · gentoo
dev-libs/kweathercore: add 0.7
Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Arthur Zamarin · gentoo
dev-libs/kweathercore: Keyword 0.6 arm64, #861716
Signed-off-by: Arthur Zamarin <arthurzam@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Andreas Sturmlechner · gentoo
dev-libs/kweathercore: new package, add 0.6
Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>